> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fetchserp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# SERP with AI Overview step 2

> This endpoint returns the SERP including the AI overview and the search results.



## OpenAPI

````yaml openapi.json get /api/v1/serp_js/{uuid}
openapi: 3.1.0
info:
  title: API Documentation
  summary: 'OasRails: Automatic Interactive API Documentation for Rails'
  description: >+
    # FetchSERP API


    This API provides endpoints for retrieving search engine results, analyzing
    keyword and domain performance, scraping web content, and conducting SEO
    audits. It is designed to help developers access valuable SEO and SERP data
    programmatically.


    ## Authentication


    All API endpoints require Bearer token authentication.



    ## Rate Limiting


    The API has a rate limit of 600 requests per minute per API key. If you
    exceed this limit, you will receive a 429 status code.



    ## Available Resources


    - Get Backlinks : Get backlinks for a given domain

    - Get Domain Emails : Retrieve emails from a given domain

    - Get Domain Info : Get domain info including DNS records, WHOIS data, SSL
    certificates, and technology stack

    - Get Keywords search volume : Get search volume for given keywords

    - Get Keywords suggestions : Get keyword suggestions based on a url or a
    list of keywords

    - Get Long-tail Keywords Generator : Generate long-tail keywords for a given
    keyword

    - Get Page Indexation Check : Check if a domain is indexed for a given
    keyword

    - Get Domain Ranking : Get domain ranking for a given keyword

    - Get Web Page Scraping : Scrape a web page without JS

    - Get Domain Scraping : Scrape a domain

    - Post Web Page Scraping : Scrape a web page with custom JS

    - Post Web Page Scraping with Proxy : Scrape a web page with JS and proxy

    - Get Moz Domain Analysis : Get Moz domain analysis data

    - GET Search engine results : Get search engine results

    - GET Search engine results AI : Get search engine results with AI overview
    and AI mode response

    - GET Search engine results html : Get search engine results html content

    - GET Search engine results JS : Get search engine results with JS rendering

    - GET Search engine results text : Get search engine results text content

    - Get User : Get user information including api credit

    - Get Web Page AI Analysis : Analyze a web page with AI

    - Get SEO Analysis : Get SEO analysis for a given url


    For more information, contact contact@fetchserp.com

  termsOfService: ''
  contact:
    name: Support
    url: https://fetchserp.com
    email: contact@fetchserp.com
  license:
    name: GPL 3.0
    url: https://www.gnu.org/licenses/gpl-3.0.html#license-text
  version: 1.0.0
servers:
  - url: https://www.fetchserp.com
    description: Production
security:
  - bearer: []
tags:
  - name: Users
    description: Manage the `amazing` Users table.
paths:
  /api/v1/serp_js/{uuid}:
    get:
      tags:
        - Api
      summary: SERP with AI Overview step 2
      description: >-
        This endpoint returns the SERP including the AI overview and the search
        results.
      operationId: show_api_v1_serp_js_uuid
      parameters:
        - $ref: '#/components/parameters/8e25b3c523b4c42d30dae1e6c378db7e'
      responses:
        '200':
          $ref: '#/components/responses/7c98fbab5202f1286eb90e9fc1aac54c'
        '401':
          $ref: '#/components/responses/9086aedeb9d49ea8188e4e6e3b44fa33'
        '403':
          $ref: '#/components/responses/7b60714daf45a11b101dc36462ebce1d'
        '404':
          $ref: '#/components/responses/e6a8aea08d97a4632e74b7d87f767f62'
        '422':
          $ref: '#/components/responses/4a3ef7a2c23c8fd9465e1eb6e0efed10'
        '500':
          $ref: '#/components/responses/2ccf8cb16d4056fc711ed0ca4ef73f58'
      security:
        - bearer: []
components:
  parameters:
    8e25b3c523b4c42d30dae1e6c378db7e:
      name: uuid
      in: path
      description: The uuid returned by the SERP JS endpoint
      required: true
      schema:
        type: string
      style: simple
  responses:
    7c98fbab5202f1286eb90e9fc1aac54c:
      description: success
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/301b61c506d9e720bbf7e13c6900b988'
    9086aedeb9d49ea8188e4e6e3b44fa33:
      description: Validation errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ab7f8e96ffb786cb211cda6678d34532'
    7b60714daf45a11b101dc36462ebce1d:
      description: >-
        You are not allowed to access this resource. You do not have the
        necessary permissions.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/654dac096abf7f8a11eec3e814989da7'
    e6a8aea08d97a4632e74b7d87f767f62:
      description: The requested resource could not be found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/654dac096abf7f8a11eec3e814989da7'
    4a3ef7a2c23c8fd9465e1eb6e0efed10:
      description: Validation errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ab7f8e96ffb786cb211cda6678d34532'
    2ccf8cb16d4056fc711ed0ca4ef73f58:
      description: Validation errors
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/435c07a5c6b7754326b753df2f09dae3'
  schemas:
    301b61c506d9e720bbf7e13c6900b988:
      type: object
      properties:
        data:
          type: object
          properties:
            query:
              type: string
            country:
              type: string
            results:
              type: array
              items:
                type: object
                properties:
                  ai_overview:
                    type: object
                    properties:
                      content:
                        type: string
                      sources:
                        type: array
                        items:
                          type: object
                          properties:
                            site_name:
                              type: string
                            url:
                              type: string
                            title:
                              type: string
                            description:
                              type: string
                            ranking:
                              type: integer
                  search_results:
                    type: array
                    items:
                      type: object
                      properties:
                        site_name:
                          type: string
                        url:
                          type: string
                        title:
                          type: string
                        description:
                          type: string
                        ranking:
                          type: integer
    ab7f8e96ffb786cb211cda6678d34532:
      type: object
      properties:
        error:
          type: string
    654dac096abf7f8a11eec3e814989da7:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
      required:
        - success
    435c07a5c6b7754326b753df2f09dae3:
      type: object
      properties:
        status:
          type: integer
        error:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      description: >-
        A bearer token that will be supplied within an `Authorization` header as
        `bearer <token>`.

````